### Method

# Malcontent SessionLimits get_daily_schedule

since: 0.14.0

#### Declaration [src]

    gboolean
    mct_session_limits_get_daily_schedule (
      MctSessionLimits* limits,
      unsigned int* out_start_time_secs,
      unsigned int* out_end_time_secs
    )

#### Description [src]

Get the daily schedule session limits, if set.

If set, sessions are allowed between the given start and end time every day. The times are given as offsets from the start of the day, in seconds.

`out_end_time_secs` is guaranteed to be greater than `out_start_time_secs`, if they are set. `out_end_time_secs` is guaranteed to be at most `24 * 60 * 60` if set.

Available since: 0.14.0

#### Parameters

`out_start_time_secs`

  Type: `unsigned int*`

  Return location for the earliest allowable session start time for the user, in seconds since midnight.

  The argument will be set by the function.
  The argument can be `NULL`.

`out_end_time_secs`

  Type: `unsigned int*`

  Return location for the latest allowable session end time for the user, in seconds since midnight.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

True if a daily schedule is set, false otherwise.